Subject: Re: reminder, 2.6.18 window...

From: Phil Dibowitz <[email-masked]>
Date: Thu, 25 May 2006 14:04:12 -0700

On Thu, May 25, 2006 at 01:29:28PM -0700, David Miller wrote:
> From: Phil Dibowitz <[email-masked]>
> Date: Thu, 25 May 2006 12:22:39 -0700
> 
> > So at least, for the _current_ implimentations, this should have no
> > performance impacts.
> 
> Regardless, I think this is something that userspace _can_
> take care of reasonably and therefore has no buisness in the
> kernel.
> 
> We do not duplicate functionality that is already possible
> _unless_ it is incredibly difficult for userland to do so.
> And in this case I do not think it is difficult for userland
> to interpret the counters in the way you want it to.
> 
> So, major NACK on this stuff.

Well, if that's how you feel, I'm probably not going to change your mind,
though I'll emphasize I think any solution in userspace is a work around -
*particularly* since most cards have a command specifically for "clear
stats"... why would specifically not support a _feature_ of the hardware.

-- 
Phil Dibowitz                             [email-masked]
Freeware and Technical Pages              Insanity Palace of Metallica
http://www.phildev.net/                   http://www.ipom.com/

"They that can give up essential liberty to obtain a little temporary
safety deserve neither liberty nor safety."
 - Benjamin Franklin, 1759